VoiceBot Action

Prev Next

VoiceBot Action

VoiceBot Action JSON Format

VoiceBot Action is represented as simple flat JSON objects with the following keys:

Name Type Description
xPosition integer Xposition represents the coordinate value of x.
yPosition integer Yposition represents the coordinate value of Y.
id guid Id of the voicebot action.
type enum Allowed values are voicebotActionStart, voicebotActionPlayText, voicebotActionPlayAudio, voicebotActionIVRMenu, voicebotActionCallerAuthentication, voicebotActionEndCall, voicebotActionTransferCall, voicebotActionWebhook, voicebotActionCollectDTMFDigits, voicebotActionCollectSpeechResponse, voicebotActionGoToIntent, voicebotActionCondition, voicebotActionSetVariableValue, voicebotActionClearValue.
voicebotResponseId guid Id of the voicebot response.
voicebotActionClearValue voicebotActionClearValue Reference to Voice Bot Action Clear Value.
voicebotActionCollectDTMFDigits voicebotActionCollectDTMFDigits Reference to Voice Bot Action Collect DTMF Digits.
voicebotActionCollectSpeechResponse voicebotActionCollectSpeechResponse Reference to Voice Bot Action Collect Speech Response.
voicebotActionCondition voicebotActionCondition Reference to Voicebot Action Condition.
voicebotActionEndCall voicebotActionEndCall Reference to Voicebot Action End Call.
voicebotActionGoToIntent voicebotActionGoToIntent Reference to Voicebot Action Go To Intent.
voicebotActionIVRMenu voicebotActionIVRMenu Reference to Voicebot Action IVR Menu.
voicebotActionPlayAudio voicebotActionPlayAudio Reference to Voicebot Action Play Audio.
voicebotActionPlayText voicebotActionPlayText Reference to Voicebot Action Play Text.
voicebotActionSetVariableValue voicebotActionSetVariableValue Reference to Voicebot Action Set Variable Value.
voicebotActionStart voicebotActionStart Reference to Voicebot Action Start.
voicebotActionTransferCall voicebotActionTransferCall Reference to Voicebot Action Transfer Call.
voicebotActionWebhook voicebotActionWebhook Reference to Voicebot Action Webhook.

Get the list of VoiceBot Action

GET voicebot/voicebotActions

  • Parameters:

Name Type in Required Description
include string query no Allowed values are voicebotActionClearValue, voicebotActionCollectDTMFDigits, voicebotActionCollectSpeechResponse, voicebotActionCondition, voicebotActionEndCall, voicebotActionGoToIntent, voicebotActionIVRMenu, voicebotActionPlayAudio, voicebotActionPlayText, voicebotActionSetVariableValue, voicebotActionStart, voicebotActionTransferCall, voicebotActionWebhook.
  • Response:

An array of VoiceBot Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "xPosition": 1,
      "yPosition": 1,
      "id": "44018834-86bf-4109-8061-afe3f98733f1",
      "type": "",
      "voicebotResponseId": "",
      "voicebotActionClearValue": {
          "variableNames": [
              ""
          ],
          "voicebotActionId": "",
          "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
      },
      "voicebotActionCollectDTMFDigits": {
          "message": "",
          "variableName": "",
          "numberOfDigits": 1,
          "stopGatherAfterPressKey": "",
          "voicebotActionId": "",
          "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
      },
      "voicebotActionCollectSpeechResponse": {
          "message": "",
          "variableName": "",
          "lowSTTConfidenceMessage": "",
          "lowSTTConfidenceRepeatTimes": 1,
          "isConfirmationRequired": true,
          "confirmationMessage": "",
          "confirmationText": "",
          "confirmationKey": "",
          "voicebotActionId": "",
          "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
          "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
      },
      "voicebotActionCondition": {
          "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
          "voicebotActionId": "",
          "voicebotActionConditionCases": [
              {
                  "logicalExpression": "",
                  "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
                  "conditionExpressionType": "",
                  "voicebotActionId": "",
                  "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
                  "order": 1,
                  "voicebotActionConditionCaseConditions": [
                      {
                          "voicebotActionConditionCaseId": "",
                          "order": 1,
                          "operator": "",
                          "fieldName": "{!Variable.Name}",
                          "value": "",
                          "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
                      }
                  ]
              }
          ]
      },
      "voicebotActionEndCall": {
          "voicebotActionId": ""
      },
      "voicebotActionGoToIntent": {
          "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
          "voicebotActionId": ""
      },
      "voicebotActionIVRMenu": {
          "voicebotActionId": "",
          "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
          "message": "",
          "invalidInputMessage": "",
          "invalidInputRepeatTime": 1,
          "voicebotActionIVRMenuOptions": [
              {
                  "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
                  "voicebotActionId": "",
                  "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
                  "text": "",
                  "key": "",
                  "order": 1
              }
          ]
      },
      "voicebotActionPlayAudio": {
          "voicebotActionId": "",
          "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
          "audioPath": "",
          "name": ""
      },
      "voicebotActionPlayText": {
          "voicebotActionId": "",
          "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
          "message": ""
      },
      "voicebotActionSetVariableValue": {
          "variableName": "",
          "value": "",
          "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
          "voicebotActionId": ""
      },
      "voicebotActionStart": {
          "voicebotActionId": "",
          "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
      },
      "voicebotActionTransferCall": {
          "voicebotActionId": "",
          "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
          "transferTo": ""
      },
      "voicebotActionWebhook": {
          "ifSendChatTranscript": true,
          "url": "",
          "voicebotActionId": "",
          "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
          "additionalPostBody": "",
          "voicebotActionWebhookHeaders": [
              {
                  "value": "",
                  "id": "44018834-86bf-4109-8061-afe3f98733f1",
                  "order": 1,
                  "key": "",
                  "voicebotActionId": ""
              }
          ],
          "voicebotActionWebhookResponseCodeToActions": [
              {
                  "responseCode": "",
                  "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
                  "order": 1,
                  "id": "44018834-86bf-4109-8061-afe3f98733f1",
                  "voicebotActionId": ""
              }
          ],
          "voicebotActionWebhookResponseToVariables": [
              {
                  "voicebotActionId": "",
                  "order": 1,
                  "id": "44018834-86bf-4109-8061-afe3f98733f1",
                  "responseKey": "",
                  "variableName": ""
              }
          ]
      }
  }
] 

Get a single VoiceBot Action

GET voicebot/voicebotActions/{id}

  • Parameters:

Name Type in Required Description
include string query no Allowed values are voicebotActionClearValue, voicebotActionCollectDTMFDigits, voicebotActionCollectSpeechResponse, voicebotActionCondition, voicebotActionEndCall, voicebotActionGoToIntent, voicebotActionIVRMenu, voicebotActionPlayAudio, voicebotActionPlayText, voicebotActionSetVariableValue, voicebotActionStart, voicebotActionTransferCall, voicebotActionWebhook.
  • Response:

VoiceBot Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "xPosition": 1,
  "yPosition": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "type": "",
  "voicebotResponseId": "",
  "voicebotActionClearValue": {
      "variableNames": [
          ""
      ],
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionCollectDTMFDigits": {
      "message": "",
      "variableName": "",
      "numberOfDigits": 1,
      "stopGatherAfterPressKey": "",
      "voicebotActionId": "",
      "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
  },
  "voicebotActionCollectSpeechResponse": {
      "message": "",
      "variableName": "",
      "lowSTTConfidenceMessage": "",
      "lowSTTConfidenceRepeatTimes": 1,
      "isConfirmationRequired": true,
      "confirmationMessage": "",
      "confirmationText": "",
      "confirmationKey": "",
      "voicebotActionId": "",
      "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
      "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
  },
  "voicebotActionCondition": {
      "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
      "voicebotActionId": "",
      "voicebotActionConditionCases": [
          {
              "logicalExpression": "",
              "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
              "conditionExpressionType": "",
              "voicebotActionId": "",
              "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
              "order": 1,
              "voicebotActionConditionCaseConditions": [
                  {
                      "voicebotActionConditionCaseId": "",
                      "order": 1,
                      "operator": "",
                      "fieldName": "{!Variable.Name}",
                      "value": "",
                      "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
                  }
              ]
          }
      ]
  },
  "voicebotActionEndCall": {
      "voicebotActionId": ""
  },
  "voicebotActionGoToIntent": {
      "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionIVRMenu": {
      "voicebotActionId": "",
      "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "message": "",
      "invalidInputMessage": "",
      "invalidInputRepeatTime": 1,
      "voicebotActionIVRMenuOptions": [
          {
              "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
              "voicebotActionId": "",
              "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
              "text": "",
              "key": "",
              "order": 1
          }
      ]
  },
  "voicebotActionPlayAudio": {
      "voicebotActionId": "",
      "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
      "audioPath": "",
      "name": ""
  },
  "voicebotActionPlayText": {
      "voicebotActionId": "",
      "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
      "message": ""
  },
  "voicebotActionSetVariableValue": {
      "variableName": "",
      "value": "",
      "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionStart": {
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionTransferCall": {
      "voicebotActionId": "",
      "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "transferTo": ""
  },
  "voicebotActionWebhook": {
      "ifSendChatTranscript": true,
      "url": "",
      "voicebotActionId": "",
      "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
      "additionalPostBody": "",
      "voicebotActionWebhookHeaders": [
          {
              "value": "",
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "key": "",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseCodeToActions": [
          {
              "responseCode": "",
              "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseToVariables": [
          {
              "voicebotActionId": "",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "responseKey": "",
              "variableName": ""
          }
      ]
  }
} 

Create a new VoiceBot Action

POST voicebot/voicebotActions

  • Parameters:

Name Type in Required Description
xPosition integer body no Xposition represents the coordinate value of x.
yPosition integer body no Yposition represents the coordinate value of Y.
type enum body yes Allowed values are voicebotActionStart, voicebotActionPlayText, voicebotActionPlayAudio, voicebotActionIVRMenu, voicebotActionCallerAuthentication, voicebotActionEndCall, voicebotActionTransferCall, voicebotActionWebhook, voicebotActionCollectDTMFDigits, voicebotActionCollectSpeechResponse, voicebotActionGoToIntent, voicebotActionCondition, voicebotActionSetVariableValue, voicebotActionClearValue.
voicebotResponseId guid body yes Id of the voicebot response.
voicebotActionClearValue voicebotActionClearValue body no Reference to Voice Bot Action Clear Value.
voicebotActionCollectDTMFDigits voicebotActionCollectDTMFDigits body no Reference to Voice Bot Action Collect DTMF Digits.
voicebotActionCollectSpeechResponse voicebotActionCollectSpeechResponse body no Reference to Voice Bot Action Collect Speech Response.
voicebotActionCondition voicebotActionCondition body no Reference to Voicebot Action Condition.
voicebotActionEndCall voicebotActionEndCall body no Reference to Voicebot Action End Call.
voicebotActionGoToIntent voicebotActionGoToIntent body no Reference to Voicebot Action Go To Intent.
voicebotActionIVRMenu voicebotActionIVRMenu body no Reference to Voicebot Action IVR Menu.
voicebotActionPlayAudio voicebotActionPlayAudio body no Reference to Voicebot Action Play Audio.
voicebotActionPlayText voicebotActionPlayText body no Reference to Voicebot Action Play Text.
voicebotActionSetVariableValue voicebotActionSetVariableValue body no Reference to Voicebot Action Set Variable Value.
voicebotActionStart voicebotActionStart body no Reference to Voicebot Action Start.
voicebotActionTransferCall voicebotActionTransferCall body no Reference to Voicebot Action Transfer Call.
voicebotActionWebhook voicebotActionWebhook body no Reference to Voicebot Action Webhook.
  • Response:

VoiceBot Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"xPosition":1,"yPosition":1,"type":"","voicebotResponseId":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}' 

Response:

HTTP/1.1 201 Created

{
  "xPosition": 1,
  "yPosition": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "type": "",
  "voicebotResponseId": "",
  "voicebotActionClearValue": {
      "variableNames": [
          ""
      ],
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionCollectDTMFDigits": {
      "message": "",
      "variableName": "",
      "numberOfDigits": 1,
      "stopGatherAfterPressKey": "",
      "voicebotActionId": "",
      "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
  },
  "voicebotActionCollectSpeechResponse": {
      "message": "",
      "variableName": "",
      "lowSTTConfidenceMessage": "",
      "lowSTTConfidenceRepeatTimes": 1,
      "isConfirmationRequired": true,
      "confirmationMessage": "",
      "confirmationText": "",
      "confirmationKey": "",
      "voicebotActionId": "",
      "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
      "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
  },
  "voicebotActionCondition": {
      "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
      "voicebotActionId": "",
      "voicebotActionConditionCases": [
          {
              "logicalExpression": "",
              "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
              "conditionExpressionType": "",
              "voicebotActionId": "",
              "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
              "order": 1,
              "voicebotActionConditionCaseConditions": [
                  {
                      "voicebotActionConditionCaseId": "",
                      "order": 1,
                      "operator": "",
                      "fieldName": "{!Variable.Name}",
                      "value": "",
                      "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
                  }
              ]
          }
      ]
  },
  "voicebotActionEndCall": {
      "voicebotActionId": ""
  },
  "voicebotActionGoToIntent": {
      "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionIVRMenu": {
      "voicebotActionId": "",
      "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "message": "",
      "invalidInputMessage": "",
      "invalidInputRepeatTime": 1,
      "voicebotActionIVRMenuOptions": [
          {
              "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
              "voicebotActionId": "",
              "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
              "text": "",
              "key": "",
              "order": 1
          }
      ]
  },
  "voicebotActionPlayAudio": {
      "voicebotActionId": "",
      "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
      "audioPath": "",
      "name": ""
  },
  "voicebotActionPlayText": {
      "voicebotActionId": "",
      "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
      "message": ""
  },
  "voicebotActionSetVariableValue": {
      "variableName": "",
      "value": "",
      "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionStart": {
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionTransferCall": {
      "voicebotActionId": "",
      "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "transferTo": ""
  },
  "voicebotActionWebhook": {
      "ifSendChatTranscript": true,
      "url": "",
      "voicebotActionId": "",
      "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
      "additionalPostBody": "",
      "voicebotActionWebhookHeaders": [
          {
              "value": "",
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "key": "",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseCodeToActions": [
          {
              "responseCode": "",
              "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseToVariables": [
          {
              "voicebotActionId": "",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "responseKey": "",
              "variableName": ""
          }
      ]
  }
} 

Update the VoiceBot Action

PUT voicebot/voicebotActions/{id}

  • Parameters:

Name Type in Required Description
xPosition integer body no Xposition represents the coordinate value of x.
yPosition integer body no Yposition represents the coordinate value of Y.
type enum body yes Allowed values are voicebotActionStart, voicebotActionPlayText, voicebotActionPlayAudio, voicebotActionIVRMenu, voicebotActionCallerAuthentication, voicebotActionEndCall, voicebotActionTransferCall, voicebotActionWebhook, voicebotActionCollectDTMFDigits, voicebotActionCollectSpeechResponse, voicebotActionGoToIntent, voicebotActionCondition, voicebotActionSetVariableValue, voicebotActionClearValue.
voicebotResponseId guid body yes Id of the voicebot response.
voicebotActionClearValue voicebotActionClearValue body no Reference to Voice Bot Action Clear Value.
voicebotActionCollectDTMFDigits voicebotActionCollectDTMFDigits body no Reference to Voice Bot Action Collect DTMF Digits.
voicebotActionCollectSpeechResponse voicebotActionCollectSpeechResponse body no Reference to Voice Bot Action Collect Speech Response.
voicebotActionCondition voicebotActionCondition body no Reference to Voicebot Action Condition.
voicebotActionEndCall voicebotActionEndCall body no Reference to Voicebot Action End Call.
voicebotActionGoToIntent voicebotActionGoToIntent body no Reference to Voicebot Action Go To Intent.
voicebotActionIVRMenu voicebotActionIVRMenu body no Reference to Voicebot Action IVR Menu.
voicebotActionPlayAudio voicebotActionPlayAudio body no Reference to Voicebot Action Play Audio.
voicebotActionPlayText voicebotActionPlayText body no Reference to Voicebot Action Play Text.
voicebotActionSetVariableValue voicebotActionSetVariableValue body no Reference to Voicebot Action Set Variable Value.
voicebotActionStart voicebotActionStart body no Reference to Voicebot Action Start.
voicebotActionTransferCall voicebotActionTransferCall body no Reference to Voicebot Action Transfer Call.
voicebotActionWebhook voicebotActionWebhook body no Reference to Voicebot Action Webhook.
  • Response:

VoiceBot Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"xPosition":1,"yPosition":1,"type":"","voicebotResponseId":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}' 

Response:

HTTP/1.1 200 OK

{
  "xPosition": 1,
  "yPosition": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "type": "",
  "voicebotResponseId": "",
  "voicebotActionClearValue": {
      "variableNames": [
          ""
      ],
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionCollectDTMFDigits": {
      "message": "",
      "variableName": "",
      "numberOfDigits": 1,
      "stopGatherAfterPressKey": "",
      "voicebotActionId": "",
      "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
  },
  "voicebotActionCollectSpeechResponse": {
      "message": "",
      "variableName": "",
      "lowSTTConfidenceMessage": "",
      "lowSTTConfidenceRepeatTimes": 1,
      "isConfirmationRequired": true,
      "confirmationMessage": "",
      "confirmationText": "",
      "confirmationKey": "",
      "voicebotActionId": "",
      "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
      "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
  },
  "voicebotActionCondition": {
      "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
      "voicebotActionId": "",
      "voicebotActionConditionCases": [
          {
              "logicalExpression": "",
              "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
              "conditionExpressionType": "",
              "voicebotActionId": "",
              "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
              "order": 1,
              "voicebotActionConditionCaseConditions": [
                  {
                      "voicebotActionConditionCaseId": "",
                      "order": 1,
                      "operator": "",
                      "fieldName": "{!Variable.Name}",
                      "value": "",
                      "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
                  }
              ]
          }
      ]
  },
  "voicebotActionEndCall": {
      "voicebotActionId": ""
  },
  "voicebotActionGoToIntent": {
      "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionIVRMenu": {
      "voicebotActionId": "",
      "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "message": "",
      "invalidInputMessage": "",
      "invalidInputRepeatTime": 1,
      "voicebotActionIVRMenuOptions": [
          {
              "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
              "voicebotActionId": "",
              "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
              "text": "",
              "key": "",
              "order": 1
          }
      ]
  },
  "voicebotActionPlayAudio": {
      "voicebotActionId": "",
      "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
      "audioPath": "",
      "name": ""
  },
  "voicebotActionPlayText": {
      "voicebotActionId": "",
      "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
      "message": ""
  },
  "voicebotActionSetVariableValue": {
      "variableName": "",
      "value": "",
      "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
      "voicebotActionId": ""
  },
  "voicebotActionStart": {
      "voicebotActionId": "",
      "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
  },
  "voicebotActionTransferCall": {
      "voicebotActionId": "",
      "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
      "transferTo": ""
  },
  "voicebotActionWebhook": {
      "ifSendChatTranscript": true,
      "url": "",
      "voicebotActionId": "",
      "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
      "additionalPostBody": "",
      "voicebotActionWebhookHeaders": [
          {
              "value": "",
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "key": "",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseCodeToActions": [
          {
              "responseCode": "",
              "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "voicebotActionId": ""
          }
      ],
      "voicebotActionWebhookResponseToVariables": [
          {
              "voicebotActionId": "",
              "order": 1,
              "id": "44018834-86bf-4109-8061-afe3f98733f1",
              "responseKey": "",
              "variableName": ""
          }
      ]
  }
} 

Remove the VoiceBot Action

DELETE voicebot/voicebotActions/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voice Bot Action Clear Value JSON Format

Voice Bot Action Clear Value is represented as simple flat JSON objects with the following keys:

Name Type Description
variableNames string []
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.

Get a single Voice Bot Action Clear Value

GET voicebot/voicebotActions/{id}/voicebotActionClearValue

  • Parameters:

No Parameters

  • Response:

Voice Bot Action Clear Value

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionClearValue \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "variableNames": [
      ""
  ],
  "voicebotActionId": "",
  "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
} 

Update the Voice Bot Action Clear Value

PUT voicebot/voicebotActions/{id}/voicebotActionClearValue

  • Parameters:

Name Type in Required Description
variableNames string [] body no
nextActionId guid body no Id of the next voicebot action.
  • Response:

Voice Bot Action Clear Value

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionClearValue \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"}' 

Response:

HTTP/1.1 200 OK

{
  "variableNames": [
      ""
  ],
  "voicebotActionId": "",
  "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
} 

Remove the Voice Bot Action Clear Value

DELETE voicebot/voicebotActions/{id}/voicebotActionClearValue

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionClearValue \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voice Bot Action Collect DTMF Digits JSON Format

Voice Bot Action Collect DTMF Digits is represented as simple flat JSON objects with the following keys:

Name Type Description
message string Pure text.
variableName string Required. The Variable used to save the DTMF digit input.
numberOfDigits integer The number of digits entered by the caller in dialer. Default: Not sure.
stopGatherAfterPressKey string Available when Number of Digits is Not sure.
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.

Get a single Voice Bot Action Collect DTMF Digits

GET voicebot/voicebotActions/{id}/voicebotActionCollectDTMFDigits

  • Parameters:

No Parameters

  • Response:

Voice Bot Action Collect DTMF Digits

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectDTMFDigits \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "message": "",
  "variableName": "",
  "numberOfDigits": 1,
  "stopGatherAfterPressKey": "",
  "voicebotActionId": "",
  "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
} 

Update the Voice Bot Action Collect DTMF Digits

PUT voicebot/voicebotActions/{id}/voicebotActionCollectDTMFDigits

  • Parameters:

Name Type in Required Description
message string body no Pure text.
variableName string body yes Required. The Variable used to save the DTMF digit input.
numberOfDigits integer body no The number of digits entered by the caller in dialer. Default: Not sure.
stopGatherAfterPressKey string body no Available when Number of Digits is Not sure.
nextActionId guid body no Id of the next voicebot action.
  • Response:

Voice Bot Action Collect DTMF Digits

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectDTMFDigits \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"}' 

Response:

HTTP/1.1 200 OK

{
  "message": "",
  "variableName": "",
  "numberOfDigits": 1,
  "stopGatherAfterPressKey": "",
  "voicebotActionId": "",
  "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b"
} 

Remove the Voice Bot Action Collect DTMF Digits

DELETE voicebot/voicebotActions/{id}/voicebotActionCollectDTMFDigits

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectDTMFDigits \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voice Bot Action Collect Speech Response JSON Format

Voice Bot Action Collect Speech Response is represented as simple flat JSON objects with the following keys:

Name Type Description
message string Pure text.
variableName string Required. The Variable used to save the caller speech response.
lowSTTConfidenceMessage string We set a default STT Confidence Score for all Voice Bots in system level, customers cannot change in this version.
lowSTTConfidenceRepeatTimes integer Available value: 0 - 9. Default: 2.
isConfirmationRequired bool If the bot will reply to the answer to the caller to confirm.
confirmationMessage string Only available when Is Confirmation Required is “true”. Support Dynamic Info.
confirmationText string Visitor can speak the text to confirm the input. This text will not be read to visitors.
confirmationKey string Visitor can press the key to confirm.
voicebotActionId guid Id of the voicebot action.
actionIdWhenLowSTTConfidence guid Can be blank.
nextActionId guid Id of the next voicebot action.

Get a single Voice Bot Action Collect Speech Response

GET voicebot/voicebotActions/{id}/voicebotActionCollectSpeechResponse

  • Parameters:

No Parameters

  • Response:

Voice Bot Action Collect Speech Response

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectSpeechResponse \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "message": "",
  "variableName": "",
  "lowSTTConfidenceMessage": "",
  "lowSTTConfidenceRepeatTimes": 1,
  "isConfirmationRequired": true,
  "confirmationMessage": "",
  "confirmationText": "",
  "confirmationKey": "",
  "voicebotActionId": "",
  "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
  "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
} 

Update the Voice Bot Action Collect Speech Response

PUT voicebot/voicebotActions/{id}/voicebotActionCollectSpeechResponse

  • Parameters:

Name Type in Required Description
message string body no Pure text.
variableName string body yes Required. The Variable used to save the caller speech response.
lowSTTConfidenceMessage string body no We set a default STT Confidence Score for all Voice Bots in system level, customers cannot change in this version.
lowSTTConfidenceRepeatTimes integer body no Available value: 0 - 9. Default: 2.
isConfirmationRequired bool body no If the bot will reply to the answer to the caller to confirm.
confirmationMessage string body no Only available when Is Confirmation Required is “true”. Support Dynamic Info.
confirmationText string body no Visitor can speak the text to confirm the input. This text will not be read to visitors.
confirmationKey string body no Visitor can press the key to confirm.
actionIdWhenLowSTTConfidence guid body no Can be blank.
nextActionId guid body no Id of the next voicebot action.
  • Response:

Voice Bot Action Collect Speech Response

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectSpeechResponse \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"}' 

Response:

HTTP/1.1 200 OK

{
  "message": "",
  "variableName": "",
  "lowSTTConfidenceMessage": "",
  "lowSTTConfidenceRepeatTimes": 1,
  "isConfirmationRequired": true,
  "confirmationMessage": "",
  "confirmationText": "",
  "confirmationKey": "",
  "voicebotActionId": "",
  "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941",
  "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491"
} 

Remove the Voice Bot Action Collect Speech Response

DELETE voicebot/voicebotActions/{id}/voicebotActionCollectSpeechResponse

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCollectSpeechResponse \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Condition JSON Format

Voicebot Action Condition is represented as simple flat JSON objects with the following keys:

Name Type Description
otherCaseActionId guid Id of the voicebot action condition case.
voicebotActionId guid Id of the voicebot action.
voicebotActionConditionCases [voicebotActionConditionCases] Reference to Voicebot Action Condition Case.

Get a single Voicebot Action Condition

GET voicebot/voicebotActions/{id}/voicebotActionCondition

  • Parameters:

Name Type in Required Description
include string query no Allowed values are "voicebotActionConditionCase", "voicebotActionConditionCaseCondition".
  • Response:

Voicebot Action Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCondition \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
  "voicebotActionId": "",
  "voicebotActionConditionCases": [
      {
          "logicalExpression": "",
          "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
          "conditionExpressionType": "",
          "voicebotActionId": "",
          "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
          "order": 1,
          "voicebotActionConditionCaseConditions": [
              {
                  "voicebotActionConditionCaseId": "",
                  "order": 1,
                  "operator": "",
                  "fieldName": "{!Variable.Name}",
                  "value": "",
                  "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
              }
          ]
      }
  ]
} 

Update the Voicebot Action Condition

PUT voicebot/voicebotActions/{id}/voicebotActionCondition

  • Parameters:

Name Type in Required Description
otherCaseActionId guid body no Id of the voicebot action condition case.
voicebotActionConditionCases [voicebotActionConditionCases] body no Reference to Voicebot Action Condition Case.
  • Response:

Voicebot Action Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCondition \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]}' 

Response:

HTTP/1.1 200 OK

{
  "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950",
  "voicebotActionId": "",
  "voicebotActionConditionCases": [
      {
          "logicalExpression": "",
          "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
          "conditionExpressionType": "",
          "voicebotActionId": "",
          "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
          "order": 1,
          "voicebotActionConditionCaseConditions": [
              {
                  "voicebotActionConditionCaseId": "",
                  "order": 1,
                  "operator": "",
                  "fieldName": "{!Variable.Name}",
                  "value": "",
                  "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
              }
          ]
      }
  ]
} 

Remove the Voicebot Action Condition

DELETE voicebot/voicebotActions/{id}/voicebotActionCondition

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionCondition \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Condition Case JSON Format

Voicebot Action Condition Case is represented as simple flat JSON objects with the following keys:

Name Type Description
logicalExpression string Logical expression to match the conditions i.e., (1 or 2 or 3) and (4 and 5).
goToActionId guid Id of the voicebot action.
conditionExpressionType enum Allowed values are all, any, logicalExpression.
voicebotActionId guid Id of the voicebot action.
id guid Id of the voicebot action condition case.
order integer Order of the voicebot action condition case.
voicebotActionConditionCaseConditions [voicebotActionConditionCaseConditions] Reference to Voicebot Action Condition Case Condition.

Get the list of Voicebot Action Condition Cases

GET voicebot/voicebotActionConditionCases

  • Parameters:

Name Type in Required Description
include string query no Allowed value is voicebotActionConditionCaseCondition.
  • Response:

An array of Voicebot Action Condition Case

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCases \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "logicalExpression": "",
      "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
      "conditionExpressionType": "",
      "voicebotActionId": "",
      "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
      "order": 1,
      "voicebotActionConditionCaseConditions": [
          {
              "voicebotActionConditionCaseId": "",
              "order": 1,
              "operator": "",
              "fieldName": "{!Variable.Name}",
              "value": "",
              "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
          }
      ]
  }
] 

Get a single Voicebot Action Condition Case

GET voicebot/voicebotActionConditionCases/{id}

  • Parameters:

Name Type in Required Description
include string query no Allowed value is voicebotActionConditionCaseCondition.
  • Response:

Voicebot Action Condition Case

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCases/deef4e3a-932d-4c8e-9c9e-e63419ff8dc4 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "logicalExpression": "",
  "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
  "conditionExpressionType": "",
  "voicebotActionId": "",
  "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
  "order": 1,
  "voicebotActionConditionCaseConditions": [
      {
          "voicebotActionConditionCaseId": "",
          "order": 1,
          "operator": "",
          "fieldName": "{!Variable.Name}",
          "value": "",
          "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
      }
  ]
} 

Create a new Voicebot Action Condition Case

POST voicebot/voicebotActionConditionCases

  • Parameters:

Name Type in Required Description
logicalExpression string body no Logical expression to match the conditions i.e., (1 or 2 or 3) and (4 and 5).
goToActionId guid body no Id of the voicebot action.
conditionExpressionType enum body no Allowed values are all, any, logicalExpression.
voicebotActionId guid body no Id of the voicebot action.
order integer body no Order of the voicebot action condition case.
voicebotActionConditionCaseConditions [voicebotActionConditionCaseConditions] body no Reference to Voicebot Action Condition Case Condition.
  • Response:

Voicebot Action Condition Case

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCases \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","voicebotActionId":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}' 

Response:

HTTP/1.1 201 Created

{
  "logicalExpression": "",
  "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
  "conditionExpressionType": "",
  "voicebotActionId": "",
  "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
  "order": 1,
  "voicebotActionConditionCaseConditions": [
      {
          "voicebotActionConditionCaseId": "",
          "order": 1,
          "operator": "",
          "fieldName": "{!Variable.Name}",
          "value": "",
          "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
      }
  ]
} 

Update the Voicebot Action Condition Case

PUT voicebot/voicebotActionConditionCases/{id}

  • Parameters:

Name Type in Required Description
logicalExpression string body no Logical expression to match the conditions i.e., (1 or 2 or 3) and (4 and 5).
goToActionId guid body no Id of the voicebot action.
conditionExpressionType enum body no Allowed values are all, any, logicalExpression.
voicebotActionId guid body no Id of the voicebot action.
order integer body no Order of the voicebot action condition case.
voicebotActionConditionCaseConditions [voicebotActionConditionCaseConditions] body no Reference to Voicebot Action Condition Case Condition.
  • Response:

Voicebot Action Condition Case

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCases/deef4e3a-932d-4c8e-9c9e-e63419ff8dc4 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","voicebotActionId":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}' 

Response:

HTTP/1.1 200 OK

{
  "logicalExpression": "",
  "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39",
  "conditionExpressionType": "",
  "voicebotActionId": "",
  "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4",
  "order": 1,
  "voicebotActionConditionCaseConditions": [
      {
          "voicebotActionConditionCaseId": "",
          "order": 1,
          "operator": "",
          "fieldName": "{!Variable.Name}",
          "value": "",
          "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
      }
  ]
} 

Remove the Voicebot Action Condition Case

DELETE voicebot/voicebotActionConditionCases/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCases/deef4e3a-932d-4c8e-9c9e-e63419ff8dc4 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Condition Case Condition JSON Format

Voicebot Action Condition Case Condition is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionConditionCaseId guid Id of the voicebot action condition case.
order integer Order of the voicebot action condition case condition.
operator enum Allowed values are isNot, isNotEmpty, isEmpty, is, isMoreThan, isOneOf, notContains, regularExpression, contains, isLessThan, isNotIn.
fieldName string Field name of the rule condition.
name operator
{!Visitor.Number of visits} is/isNot/isMoreThan/isLessThan
{!Visitor.Number of chats} is/isNot/isMoreThan/isLessThan
{!Visitor.Current Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Referrer URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Landing Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Engine} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Keywords} is/isNot/contains/notContains/regularExpression
{!Visitor.Country/Region} is/isNot/contains/notContains/regularExpression
{!Visitor.State/Province} is/isNot/contains/notContains/regularExpression
{!Visitor.City} is/isNot/contains/notContains/regularExpression
{!Visitor.Operating System} is/isNot/contains/notContains/regularExpression
{!Visitor.Time Zone} isOneOf/isNotIn
{!Visitor.Language} is/isNot/contains/notContains/regularExpression
{!Visitor.Segmentation} isOneOf/isNotIn
{!Chat.Request Page URL} is/isNot/contains/notContains/regularExpression
{!Custom Variable.Custom Variable Name}
When type is text:is/isNot/contains/notContains/regularExpression

When type is integer or decimal:is/isNot/isMoreThan/isLessThan
value string Value of the field name.
id guid Id of the voicebot action condition case condition.

Get the list of Voicebot Action Condition Case Conditions

GET voicebot/voicebotActionConditionCaseConditions

  • Parameters:

No Parameters

  • Response:

An array of Voicebot Action Condition Case Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCaseConditions \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "voicebotActionConditionCaseId": "",
      "order": 1,
      "operator": "",
      "fieldName": "{!Variable.Name}",
      "value": "",
      "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
  }
] 

Get a single Voicebot Action Condition Case Condition

GET voicebot/voicebotActionConditionCaseConditions/{id}

  • Parameters:

No Parameters

  • Response:

Voicebot Action Condition Case Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCaseConditions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionConditionCaseId": "",
  "order": 1,
  "operator": "",
  "fieldName": "{!Variable.Name}",
  "value": "",
  "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
} 

Create a new Voicebot Action Condition Case Condition

POST voicebot/voicebotActionConditionCaseConditions

  • Parameters:

Name Type in Required Description
voicebotActionConditionCaseId guid body no Id of the voicebot action condition case.
order integer body no Order of the voicebot action condition case condition.
operator enum body no Allowed values are isNot, isNotEmpty, isEmpty, is, isMoreThan, isOneOf, notContains, regularExpression, contains, isLessThan, isNotIn.
fieldName string body yes Field name of the rule condition.
name operator
{!Visitor.Number of visits} is/isNot/isMoreThan/isLessThan
{!Visitor.Number of chats} is/isNot/isMoreThan/isLessThan
{!Visitor.Current Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Referrer URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Landing Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Engine} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Keywords} is/isNot/contains/notContains/regularExpression
{!Visitor.Country/Region} is/isNot/contains/notContains/regularExpression
{!Visitor.State/Province} is/isNot/contains/notContains/regularExpression
{!Visitor.City} is/isNot/contains/notContains/regularExpression
{!Visitor.Operating System} is/isNot/contains/notContains/regularExpression
{!Visitor.Time Zone} isOneOf/isNotIn
{!Visitor.Language} is/isNot/contains/notContains/regularExpression
{!Visitor.Segmentation} isOneOf/isNotIn
{!Chat.Request Page URL} is/isNot/contains/notContains/regularExpression
{!Custom Variable.Custom Variable Name}
When type is text:is/isNot/contains/notContains/regularExpression

When type is integer or decimal:is/isNot/isMoreThan/isLessThan
value string body no Value of the field name.
  • Response:

Voicebot Action Condition Case Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCaseConditions \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionConditionCaseId":"","order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}' 

Response:

HTTP/1.1 201 Created

{
  "voicebotActionConditionCaseId": "",
  "order": 1,
  "operator": "",
  "fieldName": "{!Variable.Name}",
  "value": "",
  "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
} 

Update the Voicebot Action Condition Case Condition

PUT voicebot/voicebotActionConditionCaseConditions/{id}

  • Parameters:

Name Type in Required Description
voicebotActionConditionCaseId guid body no Id of the voicebot action condition case.
order integer body no Order of the voicebot action condition case condition.
operator enum body no Allowed values are isNot, isNotEmpty, isEmpty, is, isMoreThan, isOneOf, notContains, regularExpression, contains, isLessThan, isNotIn.
fieldName string body yes Field name of the rule condition.
name operator
{!Visitor.Number of visits} is/isNot/isMoreThan/isLessThan
{!Visitor.Number of chats} is/isNot/isMoreThan/isLessThan
{!Visitor.Current Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Referrer URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Landing Page URL} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Engine} is/isNot/contains/notContains/regularExpression
{!Visitor.Search Keywords} is/isNot/contains/notContains/regularExpression
{!Visitor.Country/Region} is/isNot/contains/notContains/regularExpression
{!Visitor.State/Province} is/isNot/contains/notContains/regularExpression
{!Visitor.City} is/isNot/contains/notContains/regularExpression
{!Visitor.Operating System} is/isNot/contains/notContains/regularExpression
{!Visitor.Time Zone} isOneOf/isNotIn
{!Visitor.Language} is/isNot/contains/notContains/regularExpression
{!Visitor.Segmentation} isOneOf/isNotIn
{!Chat.Request Page URL} is/isNot/contains/notContains/regularExpression
{!Custom Variable.Custom Variable Name}
When type is text:is/isNot/contains/notContains/regularExpression

When type is integer or decimal:is/isNot/isMoreThan/isLessThan
value string body no Value of the field name.
  • Response:

Voicebot Action Condition Case Condition

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCaseConditions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionConditionCaseId":"","order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionConditionCaseId": "",
  "order": 1,
  "operator": "",
  "fieldName": "{!Variable.Name}",
  "value": "",
  "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a"
} 

Remove the Voicebot Action Condition Case Condition

DELETE voicebot/voicebotActionConditionCaseConditions/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionConditionCaseConditions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action End Call JSON Format

Voicebot Action End Call is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.

Get a single Voicebot Action End Call

GET voicebot/voicebotActions/{id}/voicebotActionEndCall

  • Parameters:

No Parameters

  • Response:

Voicebot Action End Call

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionEndCall \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": ""
} 

Update the Voicebot Action End Call

PUT voicebot/voicebotActions/{id}/voicebotActionEndCall

  • Parameters:

Voicebot Action End Call

  • Response:

Voicebot Action End Call

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionEndCall \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": ""
} 

Remove the Voicebot Action End Call

DELETE voicebot/voicebotActions/{id}/voicebotActionEndCall

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionEndCall \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Go To Intent JSON Format

Voicebot Action Go To Intent is represented as simple flat JSON objects with the following keys:

Name Type Description
intentId guid Id of the voicebot intent.
voicebotActionId guid Id of the voicebot action.

Get a single Voicebot Action Go To Intent

GET voicebot/voicebotActions/{id}/voicebotActionGoToIntent

  • Parameters:

No Parameters

  • Response:

Voicebot Action Go To Intent

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionGoToIntent \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
  "voicebotActionId": ""
} 

Update the Voicebot Action Go To Intent

PUT voicebot/voicebotActions/{id}/voicebotActionGoToIntent

  • Parameters:

Name Type in Required Description
intentId guid body no Id of the voicebot intent.
  • Response:

Voicebot Action Go To Intent

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionGoToIntent \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"}' 

Response:

HTTP/1.1 200 OK

{
  "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
  "voicebotActionId": ""
} 

Remove the Voicebot Action Go To Intent

DELETE voicebot/voicebotActions/{id}/voicebotActionGoToIntent

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionGoToIntent \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action IVR Menu JSON Format

Voicebot Action IVR Menu is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.
actionIdWhenInvalidInput guid The action to go to when no valid input for several times.
message string The message sent to visitor before the options.This message will be transferred to voice and read to visitor.
invalidInputMessage string Play audio message for invaid input.
invalidInputRepeatTime integer How many times will this IVR Menu repeat if there is valid input.
voicebotActionIVRMenuOptions [voicebotActionIVRMenuOptions] Reference to Voicebot Action IVR Menu Option.

Get a single Voicebot Action IVR Menu

GET voicebot/voicebotActions/{id}/voicebotActionIVRMenu

  • Parameters:

Name Type in Required Description
include string query no Allowed value is "voicebotActionIVRMenuOption".
  • Response:

Voicebot Action IVR Menu

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionIVRMenu \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
  "message": "",
  "invalidInputMessage": "",
  "invalidInputRepeatTime": 1,
  "voicebotActionIVRMenuOptions": [
      {
          "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
          "voicebotActionId": "",
          "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
          "text": "",
          "key": "",
          "order": 1
      }
  ]
} 

Update the Voicebot Action IVR Menu

PUT voicebot/voicebotActions/{id}/voicebotActionIVRMenu

  • Parameters:

Name Type in Required Description
actionIdWhenInvalidInput guid body no The action to go to when no valid input for several times.
message string body no The message sent to visitor before the options.This message will be transferred to voice and read to visitor.
invalidInputMessage string body no Play audio message for invaid input.
invalidInputRepeatTime integer body no How many times will this IVR Menu repeat if there is valid input.
voicebotActionIVRMenuOptions [voicebotActionIVRMenuOptions] body no Reference to Voicebot Action IVR Menu Option.
  • Response:

Voicebot Action IVR Menu

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionIVRMenu \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
  "message": "",
  "invalidInputMessage": "",
  "invalidInputRepeatTime": 1,
  "voicebotActionIVRMenuOptions": [
      {
          "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
          "voicebotActionId": "",
          "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
          "text": "",
          "key": "",
          "order": 1
      }
  ]
} 

Remove the Voicebot Action IVR Menu

DELETE voicebot/voicebotActions/{id}/voicebotActionIVRMenu

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionIVRMenu \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action IVR Menu Option JSON Format

Voicebot Action IVR Menu Option is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the voicebot action IVR menu option.
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.
text string Visitor can speak the text to choose this option.This text will not be read to visitors.
key string 1, 2, 3, 4, 5, 6, 7, 8, 9, 0,*,#.Each key can only be used once in an IVR menu.Visitor can press the key to choose the option.
order integer Must be greater than or equal to 0,the order of the option item, ascending order.

Get the list of Voicebot Action IVR Menu Options

GET voicebot/voicebotActionIVRMenuOptions

  • Parameters:

No Parameters

  • Response:

An array of Voicebot Action IVR Menu Option

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionIVRMenuOptions \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
      "voicebotActionId": "",
      "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
      "text": "",
      "key": "",
      "order": 1
  }
] 

Get a single Voicebot Action IVR Menu Option

GET voicebot/voicebotActionIVRMenuOptions/{id}

  • Parameters:

No Parameters

  • Response:

Voicebot Action IVR Menu Option

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionIVRMenuOptions/d486a8a3-35f9-42fe-ab16-d9b44786e41b \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
  "voicebotActionId": "",
  "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
  "text": "",
  "key": "",
  "order": 1
} 

Create a new Voicebot Action IVR Menu Option

POST voicebot/voicebotActionIVRMenuOptions

  • Parameters:

Name Type in Required Description
voicebotActionId guid body no Id of the voicebot action.
nextActionId guid body no Id of the next voicebot action.
text string body no Visitor can speak the text to choose this option.This text will not be read to visitors.
key string body no 1, 2, 3, 4, 5, 6, 7, 8, 9, 0,*,#.Each key can only be used once in an IVR menu.Visitor can press the key to choose the option.
order integer body no Must be greater than or equal to 0,the order of the option item, ascending order.
  • Response:

Voicebot Action IVR Menu Option

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionIVRMenuOptions \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionId":"","nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}' 

Response:

HTTP/1.1 201 Created

{
  "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
  "voicebotActionId": "",
  "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
  "text": "",
  "key": "",
  "order": 1
} 

Update the Voicebot Action IVR Menu Option

PUT voicebot/voicebotActionIVRMenuOptions/{id}

  • Parameters:

Name Type in Required Description
voicebotActionId guid body no Id of the voicebot action.
nextActionId guid body no Id of the next voicebot action.
text string body no Visitor can speak the text to choose this option.This text will not be read to visitors.
key string body no 1, 2, 3, 4, 5, 6, 7, 8, 9, 0,*,#.Each key can only be used once in an IVR menu.Visitor can press the key to choose the option.
order integer body no Must be greater than or equal to 0,the order of the option item, ascending order.
  • Response:

Voicebot Action IVR Menu Option

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionIVRMenuOptions/d486a8a3-35f9-42fe-ab16-d9b44786e41b \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionId":"","nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}' 

Response:

HTTP/1.1 200 OK

{
  "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b",
  "voicebotActionId": "",
  "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a",
  "text": "",
  "key": "",
  "order": 1
} 

Remove the Voicebot Action IVR Menu Option

DELETE voicebot/voicebotActionIVRMenuOptions/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionIVRMenuOptions/d486a8a3-35f9-42fe-ab16-d9b44786e41b \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Play Audio JSON Format

Voicebot Action Play Audio is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.
audioPath string The URL of recording server.
name string Name of the voicebot action.

Get a single Voicebot Action Play Audio

GET voicebot/voicebotActions/{id}/voicebotActionPlayAudio

  • Parameters:

No Parameters

  • Response:

Voicebot Action Play Audio

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayAudio \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
  "audioPath": "",
  "name": ""
} 

Update the Voicebot Action Play Audio

PUT voicebot/voicebotActions/{id}/voicebotActionPlayAudio

  • Parameters:

Name Type in Required Description
nextActionId guid body no Id of the next voicebot action.
audioPath string body no The URL of recording server.
name string body no Name of the voicebot action.
  • Response:

Voicebot Action Play Audio

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayAudio \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49",
  "audioPath": "",
  "name": ""
} 

Remove the Voicebot Action Play Audio

DELETE voicebot/voicebotActions/{id}/voicebotActionPlayAudio

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayAudio \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Play Text JSON Format

Voicebot Action Play Text is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.
message string A string text of the message.

Get a single Voicebot Action Play Text

GET voicebot/voicebotActions/{id}/voicebotActionPlayText

  • Parameters:

No Parameters

  • Response:

Voicebot Action Play Text

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayText \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
  "message": ""
} 

Update the Voicebot Action Play Text

PUT voicebot/voicebotActions/{id}/voicebotActionPlayText

  • Parameters:

Name Type in Required Description
nextActionId guid body no Id of the next voicebot action.
message string body no A string text of the message.
  • Response:

Voicebot Action Play Text

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayText \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c",
  "message": ""
} 

Remove the Voicebot Action Play Text

DELETE voicebot/voicebotActions/{id}/voicebotActionPlayText

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionPlayText \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Set Variable Value JSON Format

Voicebot Action Set Variable Value is represented as simple flat JSON objects with the following keys:

Name Type Description
variableName string Id of the custom variable.
value string Variable value.
nextActionId guid Id of the next voicebot action.
voicebotActionId guid Id of the voicebot action.

Get a single Voicebot Action Set Variable Value

GET voicebot/voicebotActions/{id}/voicebotActionSetVariableValue

  • Parameters:

No Parameters

  • Response:

Voicebot Action Set Variable Value

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionSetVariableValue \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "variableName": "",
  "value": "",
  "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
  "voicebotActionId": ""
} 

Update the Voicebot Action Set Variable Value

PUT voicebot/voicebotActions/{id}/voicebotActionSetVariableValue

  • Parameters:

Name Type in Required Description
variableName string body yes Id of the custom variable.
value string body no Variable value.
nextActionId guid body no Id of the next voicebot action.
  • Response:

Voicebot Action Set Variable Value

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionSetVariableValue \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"}' 

Response:

HTTP/1.1 200 OK

{
  "variableName": "",
  "value": "",
  "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e",
  "voicebotActionId": ""
} 

Remove the Voicebot Action Set Variable Value

DELETE voicebot/voicebotActions/{id}/voicebotActionSetVariableValue

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionSetVariableValue \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Start JSON Format

Voicebot Action Start is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.
nextActionId guid Id of the next voicebot action.

Get a single Voicebot Action Start

GET voicebot/voicebotActions/{id}/voicebotActionStart

  • Parameters:

No Parameters

  • Response:

Voicebot Action Start

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionStart \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
} 

Update the Voicebot Action Start

PUT voicebot/voicebotActions/{id}/voicebotActionStart

  • Parameters:

Name Type in Required Description
nextActionId guid body no Id of the next voicebot action.
  • Response:

Voicebot Action Start

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionStart \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017"
} 

Remove the Voicebot Action Start

DELETE voicebot/voicebotActions/{id}/voicebotActionStart

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionStart \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Transfer Call JSON Format

Voicebot Action Transfer Call is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid Id of the voicebot action.
actionIdWhenTransferFailed guid Voice Bot Action object.
transferTo string Transfer to agent, department or routing rules.

Get a single Voicebot Action Transfer Call

GET voicebot/voicebotActions/{id}/voicebotActionTransferCall

  • Parameters:

No Parameters

  • Response:

Voicebot Action Transfer Call

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionTransferCall \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
  "transferTo": ""
} 

Update the Voicebot Action Transfer Call

PUT voicebot/voicebotActions/{id}/voicebotActionTransferCall

  • Parameters:

Name Type in Required Description
actionIdWhenTransferFailed guid body no Voice Bot Action object.
transferTo string body no Transfer to agent, department or routing rules.
  • Response:

Voicebot Action Transfer Call

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionTransferCall \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2",
  "transferTo": ""
} 

Remove the Voicebot Action Transfer Call

DELETE voicebot/voicebotActions/{id}/voicebotActionTransferCall

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionTransferCall \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Webhook JSON Format

Voicebot Action Webhook is represented as simple flat JSON objects with the following keys:

Name Type Description
ifSendChatTranscript bool If send the chat transcript to 3rd party system.
url string URL of the webhook request.
voicebotActionId guid Id of the voicebot action.
otherResponseToActionId guid Id of the other response to action.
additionalPostBody string The additional post body of the request.
voicebotActionWebhookHeaders [voicebotActionWebhookHeaders] Reference to Voicebot Action Webhook Header.
voicebotActionWebhookResponseCodeToActions [voicebotActionWebhookResponseCodeToActions] Reference to Voicebot Action Webhook Response Code To Action.
voicebotActionWebhookResponseToVariables [voicebotActionWebhookResponseToVariables] Reference to Voicebot Action Webhook Response To Variable.

Get a single Voicebot Action Webhook

GET voicebot/voicebotActions/{id}/voicebotActionWebhook

  • Parameters:

Name Type in Required Description
include string query no Allowed values are voicebotActionWebhookHeader, voicebotActionWebhookResponseCodeToAction, voicebotActionWebhookResponseToVariable.
  • Response:

Voicebot Action Webhook

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionWebhook \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "ifSendChatTranscript": true,
  "url": "",
  "voicebotActionId": "",
  "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
  "additionalPostBody": "",
  "voicebotActionWebhookHeaders": [
      {
          "value": "",
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "order": 1,
          "key": "",
          "voicebotActionId": ""
      }
  ],
  "voicebotActionWebhookResponseCodeToActions": [
      {
          "responseCode": "",
          "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
          "order": 1,
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "voicebotActionId": ""
      }
  ],
  "voicebotActionWebhookResponseToVariables": [
      {
          "voicebotActionId": "",
          "order": 1,
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "responseKey": "",
          "variableName": ""
      }
  ]
} 

Update the Voicebot Action Webhook

PUT voicebot/voicebotActions/{id}/voicebotActionWebhook

  • Parameters:

Name Type in Required Description
ifSendChatTranscript bool body no If send the chat transcript to 3rd party system.
url string body no URL of the webhook request.
otherResponseToActionId guid body no Id of the other response to action.
additionalPostBody string body no The additional post body of the request.
voicebotActionWebhookHeaders [voicebotActionWebhookHeaders] body no Reference to Voicebot Action Webhook Header.
voicebotActionWebhookResponseCodeToActions [voicebotActionWebhookResponseCodeToActions] body no Reference to Voicebot Action Webhook Response Code To Action.
voicebotActionWebhookResponseToVariables [voicebotActionWebhookResponseToVariables] body no Reference to Voicebot Action Webhook Response To Variable.
  • Response:

Voicebot Action Webhook

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionWebhook \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}' 

Response:

HTTP/1.1 200 OK

{
  "ifSendChatTranscript": true,
  "url": "",
  "voicebotActionId": "",
  "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7",
  "additionalPostBody": "",
  "voicebotActionWebhookHeaders": [
      {
          "value": "",
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "order": 1,
          "key": "",
          "voicebotActionId": ""
      }
  ],
  "voicebotActionWebhookResponseCodeToActions": [
      {
          "responseCode": "",
          "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
          "order": 1,
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "voicebotActionId": ""
      }
  ],
  "voicebotActionWebhookResponseToVariables": [
      {
          "voicebotActionId": "",
          "order": 1,
          "id": "44018834-86bf-4109-8061-afe3f98733f1",
          "responseKey": "",
          "variableName": ""
      }
  ]
} 

Remove the Voicebot Action Webhook

DELETE voicebot/voicebotActions/{id}/voicebotActionWebhook

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActions//voicebotActionWebhook \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Webhook Header JSON Format

Voicebot Action Webhook Header is represented as simple flat JSON objects with the following keys:

Name Type Description
value string
id guid
order integer
key string
voicebotActionId guid

Get the list of Voicebot Action Webhook Headers

GET voicebot/voicebotActionWebhookHeaders

  • Parameters:

No Parameters

  • Response:

An array of Voicebot Action Webhook Header

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookHeaders \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "value": "",
      "id": "44018834-86bf-4109-8061-afe3f98733f1",
      "order": 1,
      "key": "",
      "voicebotActionId": ""
  }
] 

Get a single Voicebot Action Webhook Header

GET voicebot/voicebotActionWebhookHeaders/{id}

  • Parameters:

No Parameters

  • Response:

Voicebot Action Webhook Header

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookHeaders/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "value": "",
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "key": "",
  "voicebotActionId": ""
} 

Create a new Voicebot Action Webhook Header

POST voicebot/voicebotActionWebhookHeaders

  • Parameters:

Name Type in Required Description
value string body no
order integer body no
key string body no
voicebotActionId guid body yes
  • Response:

Voicebot Action Webhook Header

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookHeaders \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"value":"","order":1,"key":"","voicebotActionId":""}' 

Response:

HTTP/1.1 201 Created

{
  "value": "",
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "key": "",
  "voicebotActionId": ""
} 

Update the Voicebot Action Webhook Header

PUT voicebot/voicebotActionWebhookHeaders/{id}

  • Parameters:

Name Type in Required Description
value string body no
order integer body no
key string body no
voicebotActionId guid body yes
  • Response:

Voicebot Action Webhook Header

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookHeaders/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"value":"","order":1,"key":"","voicebotActionId":""}' 

Response:

HTTP/1.1 200 OK

{
  "value": "",
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "key": "",
  "voicebotActionId": ""
} 

Remove the Voicebot Action Webhook Header

DELETE voicebot/voicebotActionWebhookHeaders/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookHeaders/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Webhook Response Code To Action JSON Format

Voicebot Action Webhook Response Code To Action is represented as simple flat JSON objects with the following keys:

Name Type Description
responseCode string
nextActionId guid
order integer
id guid
voicebotActionId guid

Get the list of Voicebot Action Webhook Response Code To Actions

GET voicebot/voicebotActionWebhookResponseCodeToActions

  • Parameters:

No Parameters

  • Response:

An array of Voicebot Action Webhook Response Code To Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseCodeToActions \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "responseCode": "",
      "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
      "order": 1,
      "id": "44018834-86bf-4109-8061-afe3f98733f1",
      "voicebotActionId": ""
  }
] 

Get a single Voicebot Action Webhook Response Code To Action

GET voicebot/voicebotActionWebhookResponseCodeToActions/{id}

  • Parameters:

No Parameters

  • Response:

Voicebot Action Webhook Response Code To Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseCodeToActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "responseCode": "",
  "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "voicebotActionId": ""
} 

Create a new Voicebot Action Webhook Response Code To Action

POST voicebot/voicebotActionWebhookResponseCodeToActions

  • Parameters:

Name Type in Required Description
responseCode string body no
nextActionId guid body no
order integer body no
voicebotActionId guid body yes
  • Response:

Voicebot Action Webhook Response Code To Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseCodeToActions \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1,"voicebotActionId":""}' 

Response:

HTTP/1.1 201 Created

{
  "responseCode": "",
  "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "voicebotActionId": ""
} 

Update the Voicebot Action Webhook Response Code To Action

PUT voicebot/voicebotActionWebhookResponseCodeToActions/{id}

  • Parameters:

Name Type in Required Description
responseCode string body no
nextActionId guid body no
order integer body no
voicebotActionId guid body yes
  • Response:

Voicebot Action Webhook Response Code To Action

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseCodeToActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1,"voicebotActionId":""}' 

Response:

HTTP/1.1 200 OK

{
  "responseCode": "",
  "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "voicebotActionId": ""
} 

Remove the Voicebot Action Webhook Response Code To Action

DELETE voicebot/voicebotActionWebhookResponseCodeToActions/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseCodeToActions/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Voicebot Action Webhook Response To Variable JSON Format

Voicebot Action Webhook Response To Variable is represented as simple flat JSON objects with the following keys:

Name Type Description
voicebotActionId guid
order integer
id guid
responseKey string
variableName string

Get the list of Voicebot Action Webhook Response To Variables

GET voicebot/voicebotActionWebhookResponseToVariables

  • Parameters:

No Parameters

  • Response:

An array of Voicebot Action Webhook Response To Variable

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseToVariables \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "voicebotActionId": "",
      "order": 1,
      "id": "44018834-86bf-4109-8061-afe3f98733f1",
      "responseKey": "",
      "variableName": ""
  }
] 

Get a single Voicebot Action Webhook Response To Variable

GET voicebot/voicebotActionWebhookResponseToVariables/{id}

  • Parameters:

No Parameters

  • Response:

Voicebot Action Webhook Response To Variable

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseToVariables/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "responseKey": "",
  "variableName": ""
} 

Create a new Voicebot Action Webhook Response To Variable

POST voicebot/voicebotActionWebhookResponseToVariables

  • Parameters:

Name Type in Required Description
voicebotActionId guid body yes
order integer body no
responseKey string body no
variableName string body no
  • Response:

Voicebot Action Webhook Response To Variable

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseToVariables \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionId":"","order":1,"responseKey":"","variableName":""}' 

Response:

HTTP/1.1 201 Created

{
  "voicebotActionId": "",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "responseKey": "",
  "variableName": ""
} 

Update the Voicebot Action Webhook Response To Variable

PUT voicebot/voicebotActionWebhookResponseToVariables/{id}

  • Parameters:

Name Type in Required Description
voicebotActionId guid body yes
order integer body no
responseKey string body no
variableName string body no
  • Response:

Voicebot Action Webhook Response To Variable

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseToVariables/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"voicebotActionId":"","order":1,"responseKey":"","variableName":""}' 

Response:

HTTP/1.1 200 OK

{
  "voicebotActionId": "",
  "order": 1,
  "id": "44018834-86bf-4109-8061-afe3f98733f1",
  "responseKey": "",
  "variableName": ""
} 

Remove the Voicebot Action Webhook Response To Variable

DELETE voicebot/voicebotActionWebhookResponseToVariables/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotActionWebhookResponseToVariables/44018834-86bf-4109-8061-afe3f98733f1 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

© 2021 | Comm100
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.